Шаблон:Бегущая строка/styles.css

Материал из Space Station 14 Вики
.marquee {
  overflow: hidden;
  white-space: nowrap;
  width: 100%;
  box-sizing: border-box;
}
.marquee-inner {
  display: inline-block;
  padding-left: 100%;
  animation: marquee 20s linear infinite;
  color: #eaeaea;
}
@keyframes marquee {
  0% { transform: translateX(0); }
  100% { transform: translateX(-100%); }
}